package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 设备订单状态
 * @author hurui
 */
public enum DeviceOrderStatusEnum {
    status1(1, "待支付"),
    status2(2, "已支付"),
    status3(3, "已完成"),
    status4(4, "已退款"),
            ;

    private Integer number;

    private String name;

    DeviceOrderStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static DeviceOrderStatusEnum getDataByNumber(Integer number) {
        for (DeviceOrderStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }


    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
